Status: Closed Start date: 14 Jan 2014
Priority: Immediate Due date:
Assignee: Hammel % Done: 100%
Category: 04 - Root File System Estimated time: 0.00 hour
Target version: 0.8.0
Severity: 02 - High
Description

The wireless client config works but the access point was not tested for the 0.7.0 release.

Associated revisions
Revision 79427203 - 14 Mar 2014 19:16 - Hammel

RM #266: Move php setMode() call from javascript saveIt() to setNetMode() to fix switching between wifi client and access point configuraiton.

History
#1 - 13 Mar 2014 21:13 - Hammel
- Status changed from New to In Progress
- % Done changed from 0 to 30

All of the access point configuration works except for changing the /etc/networks/nettype file.  That is supposed to get changed when the radio buttons
for "Wireless Client" and "Access Point" are changed.

#2 - 14 Mar 2014 09:25 - Hammel
- % Done changed from 30 to 50

I think the only problem here is that the call to php setMode() is being done in the wrong place.  It should be in the setNetMode() javascript function
instead of the saveIt() javascript function.  The latter doesn't handle it correctly and it works better in the former.

#3 - 14 Mar 2014 19:28 - Hammel
- Status changed from In Progress to Closed
- % Done changed from 50 to 100

Made the above change and tested.  It works.  I've checked in the changes and pushed upstream.

This issue can be closed.
